/***************************************************************************
                          fileoperation.h  -  description
                             -------------------
    begin                : Sun Nov 11 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILEOPERATION_H
#define FILEOPERATION_H

#include <qobject.h>
#include <kio/jobclasses.h>

class ProgressDialog;
class QString;
class FileOperation: public QObject {
    Q_OBJECT
    public:
        FileOperation();
        ~FileOperation();

        bool fcopy( QString src, QString dest );

        static bool slink( const char* src, const char* dest, bool overwrite, ProgressDialog* p );
        static QString getName( QString file );

    private:
        bool locked;
        bool canceled;
        KIO::CopyJob* job;
        int result;

    private slots:
        void copyFinished();
        void cancelJob();
};

#endif
