/***************************************************************************
                          fileplugin.h  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILEPLUGIN_H
#define FILEPLUGIN_H

#include "batchrenamer.h"
#include "pluginloader.h"
#include "plugin.h"
#include "helpdialog.h"
#include <kdialogbase.h>

/*
 * number of items we shall cache from file plugins
 */
#define CACHE_MAX 2000

class KFileMetaInfoProvider;
class KFileMimeTypeInfo;
class KPushButton;
class KService;
class QLabel;
class QWidget;
class QVBoxLayout;
class KFilePlugin;
class FilePlugin : public Plugin  {
    Q_OBJECT
    public:
        FilePlugin( KService* service );
        ~FilePlugin();

        bool isValid() const {
            return keys.count() > 0 && fileplugin ? true : false;
        };

        const QString getName() const;
        const QString getAccelName() const;
        const int type() const;

        bool checkError();
        void drawInterface( QWidget* w, QVBoxLayout* l );
        void fillStructure();
        QString processFile( values* val, int i, QString token, int mode );
        void finished();

        void addHelp( HelpDialog* combo );
        void removeHelp(  HelpDialog* combo );

        void setUsed( bool m );
        const QPixmap getIcon() const;
        
    private slots:
        void changeMetaInfo();

    protected:
        QMap<QString,QString> map; // key, value
        QMap<QString,QString> cache;

        KFilePlugin* fileplugin;

        KPushButton* buttonWrite;

        QString m_name, m_comment, m_icon, m_mimetype;

        QStringList keys;
};

class QCheckBox;
class QScrollView;
class KLineEdit;
class MetaInfoDialog: public KDialogBase {
    Q_OBJECT
    public:
        MetaInfoDialog( QWidget* parent = 0 );
        ~MetaInfoDialog();

        void setKeys( QStringList* k, KFilePlugin* p, QString mimetype );

        QCheckBox** check;
        KLineEdit** value;
        QLabel** label;

        unsigned int count() const {
            return m_count;
        }
        
    public slots:
        void enableLineEdits();
        unsigned int m_count;

    protected:
        QScrollView* view;
};
#endif
