/***************************************************************************
                          numberdialog.h  -  description
                             -------------------
    begin                : Don Apr 24 2003
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NUMBERDIALOG_H
#define NUMBERDIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <qvaluelist.h>

// KDE includes
#include <knuminput.h>

class KMyIntSpinBox : public KIntSpinBox
{
    Q_OBJECT
    public:
        KMyIntSpinBox( QWidget* parent )
            : KIntSpinBox( parent )
            { };
        ~KMyIntSpinBox() { };
    private:
        void keyPressEvent( QKeyEvent* e );
    signals:
        void returnPressed();
};

class KIntNumInput;
class KListBox;
class KPushButton;
class NumberDialog : public KDialogBase  {
   Q_OBJECT
    public: 
        NumberDialog(QValueList<int> n,QWidget *parent=0);
        ~NumberDialog();

        KIntNumInput* spinIndex;
        KIntNumInput* spinStep;

        QValueList<int> getList();

    private slots:
        void addNumber();
        void removeNumber();
        void save();
    
    private:
        void sort();

        KListBox* listNumbers;
        KPushButton* buttonAdd;
        KPushButton* buttonRemove;
        KPushButton* buttonSave;
        KMyIntSpinBox* spinNumber;
};

#endif
