/***************************************************************************
                          pictureplugin.h  -  description
                             -------------------
    begin                : Son Apr 14 2002
    copyright            : (C) 2002 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PICTUREPLUGIN_H
#define PICTUREPLUGIN_H

#include "batchrenamer.h"
#include "pluginloader.h"
#include "plugin.h"
#include "helpdialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QString;
class QWidget;
class PicturePlugin : public Plugin  {
    Q_OBJECT
    public:
        const QString getName() const;
        const QString getAccelName() const;
        const int type() const;

        bool checkError();
        void drawInterface( QWidget* w, QVBoxLayout* l );
        void fillStructure();
        QString processFile( values* val, int i, QString token, int );
        void finished();

        void addHelp( HelpDialog* combo );
        void removeHelp( HelpDialog* combo );

        const QPixmap getIcon() const;
                        
    protected:
       QString resolution;
       QString xres;
       QString yres;
       QString bitdepth;
};

#endif
