/***************************************************************************
                          pluginloader.cpp  -  description
                             -------------------
    begin                : Sun Dec 30 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/*
 * Parts of this code are copied from
 * Franz Schmid's <Franz.Schmid@altmuehlnet.de>
 * Scribus.
 */

// Own includes
#include "pluginloader.h"
#include "fileplugin.h"
#include "datetime.h"
#include "mydirplugin.h"
#include "permission.h"
#include "pictureplugin.h"
#include "commandplugin.h"

// QT includes

// KDE includes
#include <kapplication.h>
#include <kservice.h>

/* use a prime number here */
#define DICT_SIZE 43

PluginLoader::PluginLoader()
{
    libs.setAutoDelete( true );
}

PluginLoader::~PluginLoader()
{ }

void PluginLoader::loadPlugins( bool fileplugins )
{
    addPlugin( new CommandPlugin() );
    addPlugin( new MyPermPlugin() );
    addPlugin( new MyDatePlugin() );
    addPlugin( new MyDirPlugin() );
    addPlugin( new PicturePlugin() );

    if( fileplugins )
        loadFilePlugins();
}

void PluginLoader::addPlugin( Plugin* plugin )
{
    PluginLibrary* listitem=new PluginLibrary;
    listitem->plugin = plugin;
    listitem->check = 0;
    listitem->usePlugin = false;
    libs.append( listitem );
}

void PluginLoader::loadFilePlugins()
{
    KService::List list = KService::allServices();
    for( unsigned int i = 0; i < list.count(); i++ ) {
        KService* s = (KService*)list[i];
        if( !s->terminal() && s->type() == "Service" && s->hasServiceType( "KFilePlugin" ) ) {
            FilePlugin* kfileplugin = new FilePlugin( s );
            if( kfileplugin->isValid() ) {
                addPlugin( kfileplugin );
                kapp->processEvents();
            } else
                delete kfileplugin;
        }
    }
}
