/***************************************************************************
                          pluginloader.h  -  description
                             -------------------
    begin                : Sun Dec 30 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PLUGINLOADER_H
#define PLUGINLOADER_H

// Own includes
#include "batchrenamer.h"
#include "plugin.h"

#include <qptrlist.h>

class QCheckBox;
class QVBoxLayout;
class QString;
class QWidget;
enum pluginType {
    TYPE_BRACKET = 2,       // Plugin argument is in brackets like [artist] or [1-2]
    TYPE_TOKEN = 4,         // Plugin has its own reserved token like ,& or /
    TYPE_FINAL_FILE = 8,    // Plugin does something with the final file
                            // i.e. that is not changing its name but its permission or similar!
    TYPE_ALL = 16           // Plugin selects type itself
};

class PluginLoader {
    public:
        // For RedHat :)
        struct PluginLibrary {
            Plugin *plugin;
            bool usePlugin;

            /* access this member only
             * from within KRenameImpl
             * when the GUI is already constructed!
             */
            QCheckBox* check;
        };

        PluginLoader();
        ~PluginLoader();

        void loadPlugins( bool fileplugins );
        
        QPtrList<PluginLoader::PluginLibrary> libs;

    private:
        void addPlugin( Plugin* plugin );
        void loadFilePlugins();
};

#endif
